Uses of Class
net.ontopia.topicmaps.query.core.InvalidQueryException
Packages that use InvalidQueryException
Package
Description
Provides utility classes for the Navigator Tag Libraries and
Framework.
Contains the interfaces through which interaction with query
processors, queries, and query results are done.
Contains the in-memory implementation of the query language.
Contains the rdbms implementation of the query language.
Code shared between query implementations.
Contains the code that parses tolog queries.
Provides a set of service provider interfaces for adding new
predicates to the tolog query language.
This package provides query utility classes.
This package provides topic map utility classes, which are a toolkit for
working with the topic map model provided by the core interfaces.
-
Uses of InvalidQueryException in net.ontopia.topicmaps.query.core
Subclasses of InvalidQueryException in net.ontopia.topicmaps.query.coreModifier and TypeClassDescriptionclassPUBLIC: This exception is used to indicate that there is something wrong with the query, whether syntactically or semantically.Methods in net.ontopia.topicmaps.query.core that throw InvalidQueryExceptionModifier and TypeMethodDescriptionParsedQueryIF.execute()PUBLIC: Executes the query, returning the query result.PUBLIC: Executes the query binding the parameters in the query to the values given in the 'arguments' map, returning the query result.PUBLIC: Parses and executes the query, returning the results.PUBLIC: Parses and executes the query binding the parameters in the query to the values given in the 'arguments' map, returning the results.QueryProcessorIF.execute(String query, Map<String, ?> arguments, DeclarationContextIF context) PUBLIC: Parses and executes the query in the given context binding the parameters in the query to the values given in the 'arguments' map, returning the results.QueryProcessorIF.execute(String query, DeclarationContextIF context) PUBLIC: Parses and executes the query in the given context, returning the results.voidDeprecated.use rule import declaration instead, or contextsvoidDeprecated.use rule import declaration instead, or contextsPUBLIC: Parses the query, returning an object representing the result.QueryProcessorIF.parse(String query, DeclarationContextIF context) PUBLIC: Parses the query in the given context, returning an object representing the result.QueryProcessorIF.parseUpdate(String statement) PUBLIC: Parses the update statement, returning an object representing the result.QueryProcessorIF.parseUpdate(String statement, DeclarationContextIF context) PUBLIC: Parses the update statement in the given context, returning an object representing the result.intParsedModificationStatementIF.update()PUBLIC: Runs the statement, returning the number of rows modified.intPUBLIC: Runs the statement with the given parameters, returning the number of rows modified.intPUBLIC: Runs the update statement, returning the number of modified objects.intPUBLIC: Runs the update statement with the given parameters, returning the number of modified objects.intQueryProcessorIF.update(String query, Map<String, ?> arguments, DeclarationContextIF context) PUBLIC: Runs the update statement in the given declaration context with the given parameters, returning the number of modified objects.intQueryProcessorIF.update(String query, DeclarationContextIF context) PUBLIC: Runs the update statement in the given declaration context, returning the number of modified objects. -
Uses of InvalidQueryException in net.ontopia.topicmaps.query.impl.basic
Methods in net.ontopia.topicmaps.query.impl.basic that throw InvalidQueryExceptionModifier and TypeMethodDescriptionParsedQuery.execute()QueryProcessor.execute(String query, Map arguments, DeclarationContextIF context) QueryProcessor.execute(String query, DeclarationContextIF context) QueryProcessor.execute(TologQuery query) QueryProcessor.execute(TologQuery query, Map arguments) static QueryMatchesPredicateUtils.filter(QueryMatches matches, int ix1, int ix2, Class class1, Class class2, int operation) protected DynamicAssociationPredicate.ArgumentPair[]DynamicAssociationPredicate.getBoundArguments(QueryMatches matches, Object[] arguments, int boundarg) static NumbersModule.NumberSupportNumbersModule.NumberSupport.getHighestPrecision(Number[] values) RulePredicate.getSignature()int[][]QueryMatches.getTranslationSpec(Object[] intarguments, QueryMatches extmatches, Object[] extarguments) INTERNAL: Computes the translation specification array, which gives the connection between this and the other match table.protected DynamicAssociationPredicate.ArgumentPair[]DynamicAssociationPredicate.getUnboundArguments(QueryMatches matches, Object[] arguments) voidvoidstatic QueryMatchesPredicateUtils.objectToMany(QueryMatches matches, int fromix, int toix, Class fromclass, int operation, IndexIF index) static QueryMatchesPredicateUtils.objectToMany(QueryMatches matches, int fromix, int toix, Class fromclass, int operation, IndexIF index1, IndexIF index2) static QueryMatchesPredicateUtils.objectToOne(QueryMatches matches, int fromix, int toix, Class fromclass, int operation) QueryProcessor.parse(String query, DeclarationContextIF context) protected TologQueryQueryProcessor.parseQuery(String query, DeclarationContextIF context) QueryProcessor.parseUpdate(String statement) QueryProcessor.parseUpdate(String statement, DeclarationContextIF context) protected ModificationStatementQueryProcessor.parseUpdateStatement(String statement, DeclarationContextIF ctx) protected intQueryProcessor.runUpdate(ModificationStatement statement, Map<String, ?> params) AbstractInstanceOfPredicate.satisfy(QueryMatches result, Object[] arguments) static QueryMatchesAbstractQueryProcessor.satisfy(List clauses, QueryMatches result) INTERNAL: Takes the query parameters and produces the complete list of matches.AssociationPredicate.satisfy(QueryMatches matches, Object[] arguments) AssociationRolePredicate.satisfy(QueryMatches matches, Object[] arguments) BaseLocatorPredicate.satisfy(QueryMatches matches, Object[] arguments) BasicPredicateIF.satisfy(QueryMatches result, Object[] arguments) CoalescePredicate.satisfy(QueryMatches matches, Object[] arguments) DatatypePredicate.satisfy(QueryMatches matches, Object[] arguments) DynamicAssociationPredicate.satisfy(QueryMatches matches, Object[] arguments) DynamicFailurePredicate.satisfy(QueryMatches matches, Object[] arguments) DynamicOccurrencePredicate.satisfy(QueryMatches matches, Object[] arguments) EqualsPredicate.satisfy(QueryMatches matches, Object[] arguments) GreaterThanEqualsPredicate.satisfy(QueryMatches matches, Object[] arguments) GreaterThanPredicate.satisfy(QueryMatches matches, Object[] arguments) InPredicate.satisfy(QueryMatches matches, Object[] arguments) ItemIdentifierPredicate.satisfy(QueryMatches matches, Object[] arguments) JavaSearcherPredicate.satisfy(QueryMatches matches, Object[] arguments) LessThanEqualsPredicate.satisfy(QueryMatches matches, Object[] arguments) LessThanPredicate.satisfy(QueryMatches matches, Object[] arguments) NamePredicate.satisfy(QueryMatches result, Object[] arguments) NotEqualsPredicate.satisfy(QueryMatches matches, Object[] arguments) ObjectIdPredicate.satisfy(QueryMatches matches, Object[] arguments) OccurrencePredicate.satisfy(QueryMatches matches, Object[] arguments) ReifiesPredicate.satisfy(QueryMatches matches, Object[] arguments) RemoveDuplicatesPredicate.satisfy(QueryMatches matches, Object[] arguments) ResourcePredicate.satisfy(QueryMatches matches, Object[] arguments) RolePlayerPredicate.satisfy(QueryMatches matches, Object[] arguments) RulePredicate.satisfy(QueryMatches extmatches, Object[] extarguments) ScopePredicate.satisfy(QueryMatches matches, Object[] arguments) StringModule.EndsWithPredicate.satisfy(QueryMatches matches, Object[] arguments) StringModule.StartsWithPredicate.satisfy(QueryMatches matches, Object[] arguments) SubjectIdentifierPredicate.satisfy(QueryMatches matches, Object[] arguments) SubjectLocatorPredicate.satisfy(QueryMatches matches, Object[] arguments) TopicMapPredicate.satisfy(QueryMatches matches, Object[] arguments) TopicNamePredicate.satisfy(QueryMatches matches, Object[] arguments) TopicPredicate.satisfy(QueryMatches matches, Object[] arguments) TypePredicate.satisfy(QueryMatches matches, Object[] arguments) ValueLikePredicate.satisfy(QueryMatches matches, Object[] arguments) ValuePredicate.satisfy(QueryMatches matches, Object[] arguments) VariantPredicate.satisfy(QueryMatches matches, Object[] arguments) intintintQueryProcessor.update(String query, Map<String, ?> params, DeclarationContextIF context) intQueryProcessor.update(String query, DeclarationContextIF context) -
Uses of InvalidQueryException in net.ontopia.topicmaps.query.impl.rdbms
Methods in net.ontopia.topicmaps.query.impl.rdbms that throw InvalidQueryExceptionModifier and TypeMethodDescriptionbooleanAssociationPredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanAssociationRolePredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanBaseLocatorPredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanCoalescePredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanDatatypePredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanDirectInstanceOfPredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanDynamicAssociationPredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanDynamicFailurePredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanDynamicOccurrencePredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanEqualsPredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanGreaterThanEqualsPredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanGreaterThanPredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanInPredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanInstanceOfPredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanItemIdentifierPredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanJDOBasicPredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanJDOPredicateIF.buildQuery(QueryBuilder builder, List expressions, List arguments) INTERNAL: Registers JDOExpressionsIF for this predicate with the query builder.booleanLessThanEqualsPredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanLessThanPredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanNamePredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanNotEqualsPredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanObjectIdPredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanOccurrencePredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanReifiesPredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanResourcePredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanRolePlayerPredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanRulePredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanScopePredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanSubjectIdentifierPredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanSubjectLocatorPredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanTopicMapPredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanTopicNamePredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanTopicPredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanTypePredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanValueLikePredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanValuePredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) booleanVariantPredicate.buildQuery(QueryBuilder builder, List expressions, List arguments) protected net.ontopia.topicmaps.query.impl.rdbms.ParsedQuery.QueryContextParsedQuery.compile(QueryBuilder builder, List clauses) protected voidParsedQuery.compileQuery(QueryBuilder builder, TologQuery query) ParsedQuery.execute()QueryProcessor.execute(String query, Map arguments, DeclarationContextIF context) QueryProcessor.execute(String query, DeclarationContextIF context) JDOBasicPredicate.getSignature()voidvoidprotected JDOQueryParsedQuery.makeJDOQuery(QueryBuilder builder, net.ontopia.topicmaps.query.impl.rdbms.ParsedQuery.QueryContext qcontext, boolean aggfunc, boolean orderby) QueryProcessor.parse(String query, DeclarationContextIF context) protected ParsedQueryQueryProcessor.parseQuery(String query, DeclarationContextIF context) QueryProcessor.parseUpdate(String statement) QueryProcessor.parseUpdate(String statement, DeclarationContextIF context) BasicCountComponent.satisfy(QueryMatches matches, Map arguments) BasicQueryComponent.satisfy(QueryMatches matches, Map arguments) BasicReduceComponent.satisfy(QueryMatches matches, Map arguments) BasicSortComponent.satisfy(QueryMatches matches, Map arguments) JDOBasicPredicate.satisfy(QueryMatches result, Object[] arguments) JDOQueryComponent.satisfy(QueryMatches matches, Map arguments) QueryComponentIF.satisfy(QueryMatches matches, Map arguments) INTERNAL: Processes the specified QueryMatches instance and produces a new QueryMatches instance based on information in the input instance.intintQueryProcessor.update(String query, Map<String, ?> arguments, DeclarationContextIF context) intQueryProcessor.update(String query, DeclarationContextIF context) Constructors in net.ontopia.topicmaps.query.impl.rdbms that throw InvalidQueryExceptionModifierConstructorDescriptionBasicQueryComponent(TologQuery query, List clauses, QueryProcessor qproc) ParsedQuery(QueryProcessor rprocessor, QueryProcessor bprocessor, TologQuery query) -
Uses of InvalidQueryException in net.ontopia.topicmaps.query.impl.utils
Methods in net.ontopia.topicmaps.query.impl.utils that throw InvalidQueryExceptionModifier and TypeMethodDescriptionvoidBindingContext.addArgumentTypes(Object argument, Class[] types, PredicateIF predicate) static BindingContextQueryAnalyzer.analyzeTypes(List clauses, boolean strict) static voidQueryAnalyzer.analyzeTypes(List clauses, BindingContext bc) static BindingContextQueryAnalyzer.analyzeTypes(TologQuery query) QueryExecuterIF.execute(TologQuery query) INTERNAL: Executes the query, returning the results.HierarchyWalkerRulePredicate.getSignature()static PredicateSignaturePredicateSignature.getSignature(PredicateIF predicate) QueryOptimizer.PumpPredicate.getSignature()voidBindingContext.mergeIntersect(BindingContext bc) protected MapBindingContext.mergeTypeMapsIntersect(Map map1, Map map2, boolean variables) QueryOptimizer.AbstractQueryOptimizer.optimize(List clauses, QueryContext context) QueryOptimizer.AbstractQueryOptimizer.optimize(PredicateClause clause, QueryContext context) voidQueryOptimizer.AbstractQueryOptimizer.optimize(TologQuery query, QueryContext context) QueryOptimizer.optimize(List clauses, QueryContext context) QueryOptimizer.optimize(ParsedRule rule) QueryOptimizer.optimize(TologQuery query) QueryOptimizer.TypeConflictResolver.optimize(List clauses, QueryContext context) QueryOptimizerIF.optimize(List clauses, QueryContext context) QueryOptimizerIF.optimize(PredicateClause clause, QueryContext context) voidQueryOptimizerIF.optimize(TologQuery query, QueryContext context) HierarchyWalkerRulePredicate.satisfy(QueryMatches extmatches, Object[] extarguments) QueryOptimizer.PumpPredicate.satisfy(QueryMatches input, Object[] arguments) voidPredicateSignature.validateArguments(Object[] args, String predicate, boolean strict) Validates the arguments to this predicate.voidPredicateSignature.verifyBound(QueryMatches matches, Object[] arguments, PredicateIF predicate) INTERNAL: Verifies that arguments which are required to be bound actually are bound.static voidQueryAnalyzer.verifyParameters(TologQuery query, Map arguments) Verifies that all used parameters are specified and that they are of the correct types. -
Uses of InvalidQueryException in net.ontopia.topicmaps.query.parser
Methods in net.ontopia.topicmaps.query.parser that throw InvalidQueryExceptionModifier and TypeMethodDescriptionvoidModificationStatement.close()voidParsedRule.close()Some checks can only be performed when we know that we have parsed the entire rule.voidTologQuery.close()abstract voidTologStatement.close()protected intModificationFunctionStatement.doFunctionUpdates(QueryMatches matches) protected intDeleteStatement.doLitListDeletes(boolean strict, Map arguments) protected abstract intModificationFunctionStatement.doLitListDeletes(boolean strict, Map arguments) protected intUpdateStatement.doLitListDeletes(boolean strict, Map arguments) intInsertStatement.doStaticUpdates(TopicMapIF topicmap, Map arguments) intMergeStatement.doStaticUpdates(TopicMapIF topicmap, Map arguments) intModificationFunctionStatement.doStaticUpdates(TopicMapIF topicmap, Map arguments) abstract intModificationStatement.doStaticUpdates(TopicMapIF topicmap, Map arguments) intDeleteStatement.doUpdates(QueryMatches matches) intInsertStatement.doUpdates(QueryMatches matches) intMergeStatement.doUpdates(QueryMatches matches) abstract intModificationStatement.doUpdates(QueryMatches matches) intUpdateStatement.doUpdates(QueryMatches matches) TologQuery.getArgument(String name) PredicateIF.getSignature()INTERNAL: Returns a string representing the signature of the predicate.protected static Objectvoidvoidprotected static net.ontopia.topicmaps.query.parser.ModificationFunctionStatement.ModificationFunctionIFModificationFunctionStatement.makeFunction(String name) TologParser.parseDeclarations(String decls) TologParser.parseQuery(Reader queryReader) Returns a parsed SELECT statement.TologParser.parseQuery(String query) Returns a parsed SELECT statement.TologParser.parseStatement(String query) Returns a parsed INSERT/UPDATE/MERGE/DELETE statement.voidInsertStatement.setCTMPart(String ctm, ParseContextIF context) voidTologQuery.setOffset(int offset) -
Uses of InvalidQueryException in net.ontopia.topicmaps.query.spi
Methods in net.ontopia.topicmaps.query.spi that throw InvalidQueryExceptionModifier and TypeMethodDescriptionbooleanabstract booleanEXPERIMENTAL: Returns true if the given row objects should be included in the result.abstract voidEXPERIMENTAL: Processes the input row and pushes result rows to the result.final QueryMatchesFilterPredicate.satisfy(QueryMatches matches, Object[] arguments) abstract QueryMatchesJavaPredicate.satisfy(QueryMatches matches, Object[] arguments) INTERNAL: Internal machinery.final QueryMatchesProcessPredicate.satisfy(QueryMatches matches, Object[] arguments) -
Uses of InvalidQueryException in net.ontopia.topicmaps.query.utils
Methods in net.ontopia.topicmaps.query.utils that throw InvalidQueryExceptionModifier and TypeMethodDescriptionstatic DeclarationContextIFQueryUtils.parseDeclarations(TopicMapIF topicmap, String declarations) PUBLIC: Parses a set of tolog declarations and returns an object representing the resulting declaration context.static DeclarationContextIFQueryUtils.parseDeclarations(TopicMapIF topicmap, String declarations, DeclarationContextIF context) PUBLIC: Parses a set of tolog declarations in an existing context, and returns an object representing the resulting nested declaration context. -
Uses of InvalidQueryException in net.ontopia.topicmaps.utils
Methods in net.ontopia.topicmaps.utils that throw InvalidQueryExceptionModifier and TypeMethodDescriptionstatic voidTopicMapSynchronizer.update(TopicMapIF target, String ttopicq, Predicate<TMObjectIF> tchard, TopicMapIF source, String stopicq, Predicate<TMObjectIF> schard) PUBLIC: Updates the target topic map from the source topic map, synchronizing the selected topics in the target (ttopicq) with the selected topics in the source (stopicq) using the deciders to filter topic characteristics to synchronize. -
Uses of InvalidQueryException in net.ontopia.topicmaps.utils.tmrap
Methods in net.ontopia.topicmaps.utils.tmrap that throw InvalidQueryExceptionModifier and TypeMethodDescriptionstatic intTMRAPImplementation.tologUpdate(NavigatorApplicationIF navapp, String tmid, String statement) -
Uses of InvalidQueryException in ontopoly.conversion
Methods in ontopoly.conversion that throw InvalidQueryExceptionModifier and TypeMethodDescriptionprotected intRuns a tolog update statement to modify the topic map.protected static voidUpgradeBase.removeAssociations(String atype, String[] rtypes, QueryProcessorIF qp, DeclarationContextIF dc) protected static voidUpgradeBase.removeObjects(TopicMapIF topicMap, DeclarationContextIF dc, String removalQuery) protected voidUpgrade_1_1.transform()protected voidUpgrade_1_2.transform()protected voidUpgrade_1_3.transform()protected voidUpgrade_1_4.transform()protected voidUpgrade_1_9.transform()protected voidUpgrade_2_0.transform()protected voidUpgrade_2_1.transform()protected abstract voidUpgradeBase.transform()protected static voidUpgradeBase.translateAssociations(String atype1, String[] rtypes1, String atype2, String[] rtypes2, TopicMapIF tm, LocatorIF base_on, QueryProcessorIF qp, DeclarationContextIF dc) -
Uses of InvalidQueryException in ontopoly.model
Methods in ontopoly.model that throw InvalidQueryException